Package com.xebialabs.xlrelease.domain.events

# Class FacetConfiguredFacetsCreatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.FacetConfiguredFacetsCreatedEvent

All Implemented Interfaces:
  `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class FacetConfiguredFacetsCreatedEvent extends Object implements XLReleaseEvent, scala.Product, Serializable
Event published when facet configuration is complete (facet is mapped to one or many facets according to task attributes) and configured facets are saved param: originalFacet the original facet that was submitted to FacetService (not configured yet) param: configuredFacets the facets that were saved, thus configured facets param: hasConfiguration true if facet was actually reconfigured (thus task has any configuration attributes)

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetConfiguredFacetsCreatedEvent(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FacetConfiguredFacetsCreatedEvent`
  `apply(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)`
  `boolean`
  `canEqual(Object x$1)`
  `List<TaskReportingRecord>`
  `configuredFacets()`
  `FacetConfiguredFacetsCreatedEvent`
  `copy(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)`
  `TaskReportingRecord`
  `copy$default$1()`
  `List<TaskReportingRecord>`
  `copy$default$2()`
  `boolean`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `boolean`
  `hasConfiguration()`
  `int`
  `hashCode()`
  `TaskReportingRecord`
  `originalFacet()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<TaskReportingRecord,List<TaskReportingRecord>,Object>>`
  `unapply(FacetConfiguredFacetsCreatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### FacetConfiguredFacetsCreatedEvent

    public FacetConfiguredFacetsCreatedEvent(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)

- ## Method Details

  - ### apply

    public static FacetConfiguredFacetsCreatedEvent apply(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)

  - ### unapply

    public static scala.Option<scala.Tuple3<TaskReportingRecord,List<TaskReportingRecord>,Object>> unapply(FacetConfiguredFacetsCreatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### originalFacet

    public TaskReportingRecord originalFacet()

  - ### configuredFacets

    public List<TaskReportingRecord> configuredFacets()

  - ### hasConfiguration

    public boolean hasConfiguration()

  - ### copy

    public FacetConfiguredFacetsCreatedEvent copy(TaskReportingRecord originalFacet, List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)

  - ### copy$default$1

    public TaskReportingRecord copy$default$1()

  - ### copy$default$2

    public List<TaskReportingRecord> copy$default$2()

  - ### copy$default$3

    public boolean copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`